Page MenuHomePhabricator

[PowerPC] Mark FCOPYSIGN legal for FP vectors
ClosedPublic

Authored by nemanjai on Jun 20 2019, 5:11 PM.

Details

Summary

This was just an omission in the back end. We have had the instructions for both single and double precision for a few HW generations, but never got around to legalizing these.

Diff Detail

Repository
rL LLVM

Event Timeline

nemanjai created this revision.Jun 20 2019, 5:11 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 20 2019, 5:11 PM
Herald added a subscriber: kbarton. · View Herald Transcript
jsji accepted this revision.Jun 21 2019, 1:47 PM

LGTM. Thanks for fixing.

This revision is now accepted and ready to land.Jun 21 2019, 1:47 PM
hfinkel accepted this revision.Jun 25 2019, 4:12 PM

LGTM. Thanks for fixing.

LGTM too.

This revision was automatically updated to reflect the committed changes.